program norm
use sep

implicit none

integer 			:: i, n1
real    			:: Norma, data_sq
real, dimension (:), pointer  	:: data_

call sep_init (SOURCE)
call sep_begin_prog()

call from_history(n1)

allocate( data_(n1))

call sep_read(data_)

data_sq=dot_product(data_, data_)

Norma=0.

!do i=1,n1
	Norma=Norma+data_sq
!end do

Norma=Norma**0.5


write(0,*)Norma

!call sep_close()

deallocate( data_)

call sep_end_prog()

call exit( 0)
end program norm 
